#pragma once

#include "ofMain.h"

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXOPENCV

#include "ofAddons.h"

#include "cardDef.h"

#include "contourAnalyser.h"
#include "cornerFinder.h"
#include "cardGemoetry.h"

class cardFinder{

	public:
	
	//-----------------------------
	cardFinder();
	
	void setup(int w, int h);
	vector <card> findCardsFromBlobs(vector <ofxCvBlob> & possibleCards);	
	void resetBlobID();	
	
	cornerFinder corner;
	cardGemoetry cardGeom;	
	contourAnalyser contAna;
	
	float cornerSensitivity;
	float activityThresh;	
};

